Loading...
Searching...
No Matches
QGpgME::AddUserIDJob Class Referenceabstract

An abstract base class to asynchronously add UIDs to OpenPGP keys. More...

`#include <adduseridjob.h>`

Inheritance diagram for QGpgME::AddUserIDJob:
[legend]
Collaboration diagram for QGpgME::AddUserIDJob:
[legend]

## Signals

void | result (const GpgME::Error &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const GpgME::Key &key, const QString &name, const QString &email, const QString &comment=QString())=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| AddUserIDJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class to asynchronously add UIDs to OpenPGP keys.

To use a AddUserIDJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the job with a call to start(). This call might fail, in which case the AddUserIDJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the AddUserIDJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## start()

virtual GpgME::Error QGpgME::AddUserIDJob::start | ( | const GpgME::Key & | key,
|  | const QString & | name,
|  | const QString & | email,
|  | const QString & | comment = QString() )

pure virtual

Starts the operation. key is the key to add the UID to. name, email and comment are the components of the user id.

Implemented in QGpgME::QGpgMEAddUserIDJob.

The documentation for this class was generated from the following file:

- adduseridjob.h